Bug 91834 - [HSW] ES31-CTS.layout_binding.image2D_layout_binding_imageLoad_FragmentShader fails
Summary: [HSW] ES31-CTS.layout_binding.image2D_layout_binding_imageLoad_FragmentShader...
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: git
Hardware: Other All
: medium normal
Assignee: Ian Romanick
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 92778
  Show dependency treegraph
 
Reported: 2015-09-01 09:28 UTC by Tapani Pälli
Modified: 2015-11-03 08:54 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tapani Pälli 2015-09-01 09:28:00 UTC
When running

ES31-CTS.layout_binding.image2D_layout_binding_imageLoad_FragmentShader

with current Mesa (git-568594d) on Haswell (GT2) it fails like:

--- 8< ---
Maximum 133 registers live at once.
Mesa 11.1.0-devel implementation error: Failed to compile fragment shader: FS compile failed: no register to spill:
Comment 1 Ian Romanick 2015-11-02 17:33:03 UTC
Are you still able to reproduce this?
Comment 2 Tapani Pälli 2015-11-03 08:54:50 UTC
This got fixed by

commit 0a5a738252afdd64b778024bcd130473b9a6224e
Author: Kristian Høgsberg Kristensen <krh@bitplanet.net>
Date:   Tue Oct 20 23:31:49 2015 -0700

    i965/fs: Avoid scalar destinations in emit_uniformize()
    
    The scalar destination registers break copy propagation. Instead compute
    the results to a regular register and then reference a component when we
    later use the result as a source.
    
    Reviewed-by: Francisco Jerez <currojerez@riseup.net>
    Signed-off-by: Kristian Høgsberg Kristensen <krh@bitplanet.net>


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.